### Name: epi.long
### Title: Epidemiological analysis for longitudinal data
### Aliases: epi.long
### Keywords: models

### ** Examples


data(longPheno.dat)
mymodel <- epi.long(fixed=fev1f~height+weight, random=~1|id, 
        pheno=longPheno.dat, form=~year|id)
summary(mymodel)

# example with a subsetting variable, looking at males only
mymodel <- epi.long(fixed=fev1f~height+weight, random=~1|id, 
        pheno=longPheno.dat, form=~year|id, sub=expression(sex==1))
summary(mymodel)




